Skip to main content
GET
Fetch the payment instructions submitted for a mass payment

Headers

Authorization
string
required

The access token.

Path Parameters

mass_payment_id
string
required

The ID of the mass payment.

Query Parameters

client_id
string
required

The identifier of a client.

page
integer<int32>

The desired page number for pagination. By default is 1.

page_size
integer<int32>

The number of items per page for pagination. By default is 50.

Response

List of payment instructions

direction
enum<string>
required

Type of payment, 'buy' or 'sell'

Available options:
buy,
sell
payment_currency
string
required

Destination currency

Minimum string length: 1
payment_amount
number<float>
required

Amount to be paid

Required range: x >= 0
reason_for_trade
string | null
required

Reason for trade

trade_type
enum<string>
required

Type of trade. 'spot' is the only supported value at the moment

Available options:
spot
value_date
string | null
required

Date when the transaction will be performed

account_id
string

The ID of an existing beneficiary bank account. Required together with beneficiary_id when bank details are not supplied

Pattern: .*[0-9].*
beneficiary_id
string

The ID of an existing beneficiary. Required together with account_id when bank details are not supplied

Minimum string length: 1
account_number
string | null

Destination account number

bank_address
string | null

Destination bank address

bank_code
string | null

Destination bank code

bank_country
string

Destination bank country

Minimum string length: 1
bank_name
string | null

Destination bank name

beneficiary_address
string | null

Address of beneficiary

beneficiary_name
string | null

Name of beneficiary

Minimum string length: 1
beneficiary_country
string | null

Country of beneficiary

iban
string | null

IBAN of the destination account

payment_reference
string | null

Reference of payment

swift_code
string | null

SWIFT code of destination bank

beneficiary_reference
string | null

Reference of beneficiary

purpose_of_payment
string | null

Text describing the purpose of the payment

reference
string | null
deprecated

Payment reference. Deprecated, use payment_reference

inn
string | null

The INN of the bank account

Pattern: ^[0-9]{10}([0-9]{2})?$
vo
string | null

The VO of the bank account

kio
string | null

The KIO of the bank account

russian_central_bank_account
string | null

Russian central bank account

external_reference_id
string | null

External reference for this payment instruction. Maximum 128 characters

Maximum string length: 128
Pattern: ^[\sa-zA-Z0-9,\.:'\+\(\)\?\-/]*$
beneficiary_street_name
string | null

Street name of the beneficiary address

Maximum string length: 70
beneficiary_building_number
string | null

Building number of the beneficiary address

Maximum string length: 16
beneficiary_floor
string | null

Floor of the beneficiary address

Maximum string length: 70
beneficiary_apartment_office_number
string | null

Apartment or office number of the beneficiary address

Maximum string length: 70
beneficiary_city
string | null

City of the beneficiary address

Maximum string length: 35
beneficiary_state_region
string | null

State or region of the beneficiary address

Maximum string length: 35
beneficiary_post_code
string | null

Post code of the beneficiary address

Maximum string length: 16